Subject: Re: JFFS2 FS not writeable

From: Scott Wood <[email-masked]>
Date: Tue, 27 May 2008 13:07:50 -0500

Ron Madrid wrote:
> I have tried the latest code and now, I'm able to
> write a limited amount.  After which when I reboot,
> more than 100 contiguous blocks have been marked bad,
> through the end of the device (according to the dts). 
> Is this something that has been seen before?

Yes, but not with the latest code.

 > My NAND device is a large page.

I've only had small page devices to test on, so it's quite likely that 
there's a large page bug in the driver somewhere.

If your erase block size is not 128K, try the latest set_addr patch in 
the mtd-2.6.22.1 branch of u-boot-nand-flash (I still need to send it 
out for Linux).

-Scott